#add scoreboards
scoreboard objectives add timer dummy
scoreboard objectives add red_dye minecraft.dropped:minecraft.red_dye
scoreboard objectives add green_dye minecraft.dropped:minecraft.green_dye
scoreboard objectives add player_count dummy
scoreboard players add $count player_count 0

#kill nearby items
execute at @a[tag=intrain] run kill @e[type=minecraft:item,nbt={Item:{id:"minecraft:red_dye"}},distance=0..2]
execute at @a[tag=intrain] run kill @e[type=minecraft:item,nbt={Item:{id:"minecraft:green_dye"}},distance=0..2]
execute at @a[tag=intrain] run kill @e[type=minecraft:item,nbt={Item:{id:"minecraft:elytra"}},distance=0..2]
execute at @a[tag=intrain] run kill @e[type=minecraft:item,nbt={Item:{id:"minecraft:ender_eye"}},distance=0..2]


#train mode on/off	
replaceitem entity @a[tag=!intrain] hotbar.4 minecraft:red_dye{display:{Name:'[{"text":"Training mode","italic":false,"color":"gold"},{"text":" "},{"text":"[Off]","color":"dark_red"}]',Lore:['[{"text":"Throw/drop this item to turn training mode on or off!","italic":false,"color":"gray"}]']}} 1
replaceitem entity @a[tag=intrain] hotbar.4 minecraft:green_dye{display:{Name:'[{"text":"Training mode","italic":false,"color":"gold"},{"text":" "},{"text":"[On]","color":"dark_green"}]',Lore:['[{"text":"Throw/drop this item to turn training mode on or off!","italic":false,"color":"gray"}]']}} 1
execute as @a[scores={red_dye=1..,},tag=ingame] run tag @s add intrain
execute as @a[scores={red_dye=1..,},tag=ingame] run scoreboard players set @s timer 0
execute as @a[scores={red_dye=1..,},tag=!ingame] run tellraw @s {"text":"Can´t enter train mode before timer have started!","color":"dark_red"}
execute as @a[scores={red_dye=1..},limit=1,tag=ingame] run scoreboard players operation $save_level save_stats = @s level
execute as @a[scores={red_dye=1..},limit=1,tag=ingame] run scoreboard players operation $save_jumps save_stats = @s jumps
execute as @a[scores={red_dye=1..},limit=1,tag=ingame] run scoreboard players operation $save_time save_stats = @s time
execute as @a[scores={red_dye=1..},limit=1,tag=ingame] at @s run tp @e[type=armor_stand,tag=enter_xyz] ~ ~ ~
execute as @a[scores={red_dye=1..},tag=ingame] run scoreboard players set @s runned 0
execute as @a[scores={red_dye=1..},tag=ingame] run scoreboard players set $timer_on timer 1
execute as @a[scores={green_dye=1..}] run tag @s remove intrain
execute if entity @a[scores={green_dye=1..},limit=1,tag=ingame] run kill @e[type=ender_pearl]
execute as @a[scores={red_dye=1..}] run scoreboard players set @s red_dye 0
execute as @a[scores={green_dye=1..}] run replaceitem entity @s hotbar.5 minecraft:air
execute as @a[scores={green_dye=1..}] run replaceitem entity @s hotbar.6 minecraft:air
execute as @a[scores={green_dye=1..}] run replaceitem entity @s hotbar.7 minecraft:air
execute as @a[scores={green_dye=1..}] run replaceitem entity @s hotbar.8 minecraft:air
execute as @a[scores={green_dye=1..}] run tp @s @e[type=armor_stand,tag=enter_xyz,limit=1]
execute as @a[scores={green_dye=1..}] run scoreboard players operation @s level = $save_level save_stats
execute as @a[scores={green_dye=1..},tag=!intrain] run scoreboard players set @s green_dye 0
execute if entity @a[tag=intrain] run function train_mode:train_system

#count players
scoreboard players set $count player_count 0
execute as @a run scoreboard players add $count player_count 1
execute if score $count player_count matches 2.. as @a[tag=intrain] run tellraw @s {"text":"Train mode is for singleplayer only!","color":"dark_red"}
execute if score $count player_count matches 2.. as @a[tag=intrain] run clear @s
execute if score $count player_count matches 2.. as @a[tag=intrain] run tag @s remove intrain

#reset scores
execute positioned 114.49 1.50 486.46 as @a[tag=!intrain,tag=!ingame,distance=0..20] run scoreboard players set @s level 0
execute positioned 114.49 1.50 486.46 as @a[tag=!intrain,tag=!ingame,distance=0..20] run scoreboard players set @s jumps 0
execute positioned 114.49 1.50 486.46 as @a[tag=!intrain,tag=!ingame,distance=0..20] run scoreboard players set @s time 0

